package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevWaterPump;

/**
 * 水泵接合器Service接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface ITDevWaterPumpService 
{
    /**
     * 查询水泵接合器
     * 
     * @param id 水泵接合器主键
     * @return 水泵接合器
     */
    public TDevWaterPump selectTDevWaterPumpById(Long id);

    /**
     * 查询水泵接合器列表
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 水泵接合器集合
     */
    public List<TDevWaterPump> selectTDevWaterPumpList(TDevWaterPump tDevWaterPump);

    /**
     * 新增水泵接合器
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 结果
     */
    public int insertTDevWaterPump(TDevWaterPump tDevWaterPump);

    /**
     * 修改水泵接合器
     * 
     * @param tDevWaterPump 水泵接合器
     * @return 结果
     */
    public int updateTDevWaterPump(TDevWaterPump tDevWaterPump);

    /**
     * 批量删除水泵接合器
     * 
     * @param ids 需要删除的水泵接合器主键集合
     * @return 结果
     */
    public int deleteTDevWaterPumpByIds(Long[] ids);

    /**
     * 删除水泵接合器信息
     * 
     * @param id 水泵接合器主键
     * @return 结果
     */
    public int deleteTDevWaterPumpById(Long id);
}
